/**
 * 提示框
 * @param {string} title 显示的标题
 * @param {string} icon 显示的 icon
 * @param {number} icon 显示的毫秒数
 */
export const showToast = (title, icon = "none", time = 2000) => {
  uni.showToast({
    title: title,
    icon: icon,
    duration: time,
  });
};

/**
 * 显示隐藏加载的 loading 状态
 * @param {string} title 显示的标题
 */

export const loading = {
  show(title) {
    uni.showLoading({
      title: title || "加载中",
    });
  },
  hide() {
    uni.hideLoading();
  },
};